//////////////////////////////////////////////////////////
//   This class has been automatically generated 
//     (Wed Aug 15 20:02:34 2001 by ROOT version3.01/06)
//   from TTree T/An example of a ROOT tree
//   found on file: Event.root
//////////////////////////////////////////////////////////


#ifndef T1_h
#define T1_h

#include <TROOT.h>
#include <TChain.h>
#include <TFile.h>

class T1 {
   public :
   TTree          *fChain;   //pointer to the analyzed TTree or TChain
   Int_t           fCurrent; //current Tree number in a TChain
//Declaration of leaves types
   Char_t          fType[20];
   Int_t           fNtrack;
   Int_t           fNseg;
   Int_t           fNvertex;
   UInt_t          fFlag;
   Float_t         fTemperature;
   EventHeader     fEvtHdr;
   TClonesArray*   fTracks;
   TH1F*           fH;
   Int_t           fMeasures[10];
   Float_t         fMatrix[4][4];
   Float_t         fClosestDistance[20];

//List of branches
   TBranch        *b_event;
   TBranch        *b_TObject;
   TBranch        *b_fType;
   TBranch        *b_fNtrack;
   TBranch        *b_fNseg;
   TBranch        *b_fNvertex;
   TBranch        *b_fFlag;
   TBranch        *b_fTemperature;
   TBranch        *b_fEvtHdr;
   TBranch        *b_fTracks;
   TBranch        *b_fH;
   TBranch        *b_fMeasures;
   TBranch        *b_fMatrix;
   TBranch        *b_fClosestDistance;

   T1(TTree *tree=0);
   ~T1();
   Int_t  Cut(Int_t entry);
   Int_t  GetEntry(Int_t entry);
   Int_t  LoadTree(Int_t entry);
   void   Init(TTree *tree);
   void   Loop();
   Bool_t Notify();
   void   Show(Int_t entry = -1);
};

#endif

#ifdef T1_cxx
T1::T1(TTree *tree)
{
// if parameter tree is not specified (or zero), connect the file
// used to generate this class and read the Tree.
   if (tree == 0) {
      TFile *f = (TFile*)gROOT->GetListOfFiles()->FindObject("Event.root");
      if (!f) {
         f = new TFile("Event.root");
      }
      tree = (TTree*)gDirectory->Get("T");

   }
   Init(tree);
}

T1::~T1()
{
   if (!fChain) return;
   delete fChain->GetCurrentFile();
}

Int_t T1::GetEntry(Int_t entry)
{
// Read contents of entry.
   if (!fChain) return 0;
   return fChain->GetEntry(entry);
}
Int_t T1::LoadTree(Int_t entry)
{
// Set the environment to read one entry
   if (!fChain) return -5;
   Int_t centry = fChain->LoadTree(entry);
   if (centry < 0) return centry;
   if (fChain->IsA() != TChain::Class()) return centry;
   TChain *chain = (TChain*)fChain;
   if (chain->GetTreeNumber() != fCurrent) {
      fCurrent = chain->GetTreeNumber();
      Notify();
   }
   return centry;
}

void T1::Init(TTree *tree)
{
//   Set branch addresses
   if (tree == 0) return;
   fChain    = tree;
   fCurrent = -1;
   fChain->SetMakeClass(1);

 //fChain->SetBranchAddress("event",&event);
   fChain->SetBranchAddress("fType[20]",&fType);
   fChain->SetBranchAddress("fNtrack",&fNtrack);
   fChain->SetBranchAddress("fNseg",&fNseg);
   fChain->SetBranchAddress("fNvertex",&fNvertex);
   fChain->SetBranchAddress("fFlag",&fFlag);
   fChain->SetBranchAddress("fTemperature",&fTemperature);
   fChain->SetBranchAddress("fEvtHdr",&fEvtHdr);
   fChain->SetBranchAddress("fTracks",&fTracks);
   fChain->SetBranchAddress("fH",&fH);
   fChain->SetBranchAddress("fMeasures[10]",&fMeasures);
   fChain->SetBranchAddress("fMatrix[4][4]",&fMatrix);
   fChain->SetBranchAddress("fClosestDistance",fClosestDistance);
   Notify();
}

Bool_t T1::Notify()
{
//   called when loading a new file
//   get branch pointers
   b_event = fChain->GetBranch("event");
   b_TObject = fChain->GetBranch("TObject");
   b_fType = fChain->GetBranch("fType[20]");
   b_fNtrack = fChain->GetBranch("fNtrack");
   b_fNseg = fChain->GetBranch("fNseg");
   b_fNvertex = fChain->GetBranch("fNvertex");
   b_fFlag = fChain->GetBranch("fFlag");
   b_fTemperature = fChain->GetBranch("fTemperature");
   b_fEvtHdr = fChain->GetBranch("fEvtHdr");
   b_fTracks = fChain->GetBranch("fTracks");
   b_fH = fChain->GetBranch("fH");
   b_fMeasures = fChain->GetBranch("fMeasures[10]");
   b_fMatrix = fChain->GetBranch("fMatrix[4][4]");
   b_fClosestDistance = fChain->GetBranch("fClosestDistance");
   return kTRUE;
}

void T1::Show(Int_t entry)
{
// Print contents of entry.
// If entry is not specified, print current entry
   if (!fChain) return;
   fChain->Show(entry);
}
Int_t T1::Cut(Int_t entry)
{
// This function may be called from Loop.
// returns  1 if entry is accepted.
// returns -1 otherwise.
   return 1;
}
#endif // #ifdef T1_cxx

